#-------------------------------------------------
#	Name	:MakeMenu.rb
#	Purpose	:Menuebst@C̎
#		 󐹏A吳󐹏AQ󐹏
#	Date:	2008/3/23
#	Author	:hishida
#	Usage	:ruby -Ks MakeMenu.rb
#-------------------------------------------------

require "kconv"
require "Setup.rb"
require "books.rb"

#-------------------------------------------------
#	menu.htm̍쐬
#-------------------------------------------------

outfname = DESTPATH+"/menu.htm"
File::open(outfname, 'w') { |outf|

	outf.puts '<html>'
	outf.puts '<head><title>INDEX</title></head>'
	outf.puts '<body>'

	outf.puts '<h2 id="index">'+BOOKNAME+'</h2>'

	if OTTITLE != ""
		outf.puts '<h3>'+OTTITLE+'</h3>'
	end 
	outf.puts '<p>'

	BOOKS_ALIST.each { |key, value|

	    if FileTest.exist?(SRCPATH+"/"+key)

		if NTTITLE != "" && key.match( /^matthew/ )
			outf.puts '</p>'
			outf.puts '<h3>'+NTTITLE+'</h3>'
			outf.puts '<p>'
		end 
		outf.puts "<a href=\""+key+"#"+value[1]+"\">"+value[0]+"</a><br />"
	    else
		outf.puts value[0]+"<br />"

	    end
	}

	outf.puts '</p>'
	outf.puts '<br />'
	outf.puts '<br />'
	outf.puts '</body>'
	outf.puts '</html>'

}


#-------------------------------------------------
#	bible.ebs̍쐬
#-------------------------------------------------

inPath = File.expand_path(__FILE__)
inPath.gsub!(/\/[a-zA-Z0-9_]+\.rb$/,'')

ebsfname = "bible.ebs"
File::open(ebsfname, 'w') { |ebsf|


    ebsf.puts <<"--------"
InPath=#{inPath.gsub(/\//, '\\') + '\\'+ DESTPATH + '\\'}
OutPath=
IndexFile=
Copyright=$(BASE)\\..\\Copyright.txt
GaijiFile=$(BASE)\\..\\Gaiji.xml
GaijiMapFile=$(BASE)\\..\\GaijiMap.xml
EBType=0
MenuSearch=1
WordSearchHyoki=1
WordSearchKana=1
EndWordSearchHyoki=1
EndWordSearchKana=1
KeywordSearch=1
CrossSearch=0
ComplexSearch=0
topMenu=0
singleLine=0
kanaSep1=y
kanaSep2=z
hyokiSep=1
makeFig=1
inlineImg=0
paraHdr=0
ruby=1
paraBr=0
subTitle=0
dfnStyle=0
srchUnit=1
linkChar=0
arrowCode=222A
eijiPronon=1
eijiPartOfSpeech=1
eijiBreak=1
eijiKana=0
eijiYomi=0
leftMargin=0
indent=0
tableWidth=480
StopWord=a the
delBlank=1
delSym=1
delChars=
refAuto=0
titleWord=1
autoWord=1
autoEWord=0
HTagIndex=1
HTagMenu=1
delLeadNo=0
DTTagIndex=1
dispKeyInSelList=0
titleOrder=0
omitHeader=0
addKana=1
autoKana=0
kwordLen=1
typeCplxKwd=0
pdicTitle=0
pdicPronon=1
pdicHonbun=0
pdicYorei=0
withHeader=0
optMono=0
Size=10000;10000;4000;6000000;8000;350000;50000;500;500;10000;2000
Book=#{BOOKNAME};#{EPWDIR};ʏ;_;_;GAI16H00;GAI16F00;_;_;_;_;_;_;
Source=$(BASE)\\menu.htm;INDEX;_;HTML;
--------

	BOOKS_ALIST.each { |key, value|
		if FileTest.exist?(SRCPATH+"/"+key)
			ebsf.puts "Source=$(BASE)\\"+key+";"+value[0]+";_;HTML;"
		end
	}

    ebsf.puts <<"--------"
Source=$(BASE)\\abbrev.htm;;_;HTML;
--------

}


#-------------------------------------------------
#	abbrev.htm̍쐬
#-------------------------------------------------

abbrev = DESTPATH+"/abbrev.htm"
File::open(abbrev, 'w') { |abbrevf|

	abbrevf.puts '<html>'
	abbrevf.puts '<head><title></title></head>'
	abbrevf.puts '<body>'

	abbrevf.puts '<h2></h2>'
	abbrevf.puts '<p>'

	BOOKS_ALIST.each { |key, value|
		if FileTest.exist?(SRCPATH+"/"+key)
		        abbrevf.print "<X4081>1F1A 0001</X4081>"
			abbrevf.puts value[1]
		        abbrevf.print "<X4081>1F1A 0006</X4081>"
			abbrevf.puts value[2]
		        abbrevf.print "<X4081>1F1A 0011</X4081>"
			abbrevf.puts value[0]
			abbrevf.puts "<br />"

		end 
	}

	abbrevf.puts '</p>'
	abbrevf.puts '</body>'
	abbrevf.puts '</html>'

}
