#------------------------------------------------------------
#	bible Toolkit
#
#------------------------------------------------------------

$KCODE = "s"

require "kconv"
require "Setup.rb"
require "books.rb"

begin
  Dir.mkdir(DESTPATH)
rescue Errno::EEXIST
  #ɃtH_݂
end 


Dir.glob("src/*.htm") {|fname|
	bKConv	= false
	File::open(fname, 'r') { |f|

		#print	fname+"	:"+ "#{BOOKS[fname][0]}"+"\n"

	        fname.gsub!(/^src\//,'')
		outfname = fname.gsub(/^/,DESTPATH+"/")
		File::open(outfname, 'w') { |outf|
			f.each { |line|

				if line.match(/charset=iso-2022-jp/) 
					line.gsub!(/charset=iso-2022-jp/,'charset=Shift_JIS')
					bKConv	= true
				end
				if line.match(/charset=EUC_JP/) 
					line.gsub!(/charset=EUC_JP/,'charset=Shift_JIS')
					bKConv	= true
				end
				if bKConv 
					line = line.tosjis
				end
				line.gsub!(/(<A HREF="#C[0-9]*V[0-9]*">[0-9]*<\/A>)/,'\1&nbsp;')

				line.gsub!(/<RUBY>(.+?)<RP>s<RT>(.+?)<RP>t<\/RUBY>/,'<RUBY><RB>\1</RB><RT>\2</RT></RUBY>')
				line.gsub!(/<FONT SIZE="-1">(.+?)<\/FONT>/,'<sub>\1</sub>')

				line.gsub!(/<P>$/,'<p></p>')
				line.gsub!(/<H1>(.*?)<\/H1>/,'<H2>\1</H2>')
				line.gsub!(/<HR>/,'<p>\\\\\\\\\</p>')
				line.gsub!(/\[<A HREF=\"http:\/\/Denmo.org\/\">Denmo.org<\/A>\]/,'')
				line.gsub!(/\[<A HREF=\"mailto:report@Denmo.org\">E-mail<\/A>\]/,'')


				# o쐬
				ttlstr = line.gsub(/<.+?>/,'')
				ttlstr.gsub!(/([0-9]*):([0-9]*)/,'')
				ttlstr.gsub!(/[ \t\r\n\f\v]/,'')
				ttlstr = " "+ttlstr[0,64]+"c"

				if line.match(/^[ ]*<A HREF="#C([0-9]*)V([0-9]*)" NAME="C[0-9]*V[0-9]*">/) 
					outf.puts "<key type=\"\\L\" title=\"#{BOOKS[fname][1]}"+$1+":"+$2+ttlstr+"\">#{BOOKS[fname][1]}"+$1+":"+$2+"</key>"
					outf.puts "<key type=\"\\L\" title=\"#{BOOKS[fname][2]}"+$1+":"+$2+ttlstr+"\">#{BOOKS[fname][2]}"+$1+":"+$2+"</key>"
				end

				outf.puts line

			}
		}
	}
}


