#-------------------------------------------------
#	Name	:bible_conv.rb
#	Purpose	:EBStudiopHTMLϊXNvg
#		 󐹏A吳󐹏AQ󐹏
#	Date:	2008/3/23
#	Author	:hishida
#	Usage	:ruby -Ks bible_conv.rb
#-------------------------------------------------

require "kconv"
require "Setup.rb"
require "books.rb"


begin
  Dir.mkdir(DESTPATH)
rescue Errno::EEXIST
  #ɃtH_݂
end 


Dir.glob(SRCPATH+"/*.htm") {|fname|
	bKConv	= false
	File::open(fname, 'r') { |f|

		#print	fname+"	:"+ "#{BOOKS[fname][0]}"+"\n"

		bKConv	= Kconv::EUC	# EUC

	        fname.gsub!(/^.*?\//,'')
		outfname = fname.gsub(/^/,DESTPATH+"/")
		File::open(outfname, 'w') { |outf|
			nChapter	= 0	# ͐
			chapTitle	= Hash.new
			f.each { |line|

				if line.match(/<\?xml .*encoding="EUC_JP"\?>/i) 
					line.gsub!(/EUC_JP/ , 'Shift_JIS')
				end
				if line.match(/charset=EUC_JP/)
					bKConv	= Kconv::EUC	# EUC
					line.gsub!(/EUC_JP/ , 'Shift_JIS')
				end
				if line.match(/charset=EUC-JP/)
					bKConv	= Kconv::EUC	# EUC
					line.gsub!(/EUC-JP/ , 'Shift_JIS')
				end
				if line.match(/charset=iso-2022-jp/) 
					bKConv	= Kconv::JIS	# JIS
					line.gsub!(/iso-2022-jp/ , 'Shift_JIS')
				end
				if line.match(/charset=utf-8/) 
					bKConv	= Kconv::UTF8	# utf-8
					line.gsub!(/utf-8/ , 'Shift_JIS')
				end
				if line.match(/charset=utf-16/) 
					bKConv	= Kconv::UTF16	# utf-16
					line.gsub!(/utf-16/ , 'Shift_JIS')
				end
				if bKConv != Kconv::SJIS
					line = line.kconv(Kconv::SJIS,bKConv)
				end
				if DESTPATH != "Raguet"
					if line.match(/^<b>[0-9O-XOlܘZZ\]+[͕]<\/b>/) 
						line.gsub!(/b>/,'h3>')
					end
				end

				# o쐬
				ttlstr = line.gsub(/<.+?>/,'')
				ttlstr.gsub!(/^([0-9]*):([0-9]*)/,'')
				ttlstr.gsub!(/[ \t\r\n\f\v]/,'')
				ttlstr.gsub!(/\(.+?\)/,'')
				ttlstr = " "+ttlstr[0,64]+"c"

				if line.match(/^<em>([0-9]*):([0-9]*)<\/em>/) 
					outf.puts "<p id=\"#{BOOKS[fname][1]}"+$1+":"+$2+"\"></p>"+"<key type=\"\\L\" title=\"#{BOOKS[fname][1]}"+$1+":"+$2+ttlstr+"\">#{BOOKS[fname][1]}"+$1+":"+$2+"</key>"
					outf.puts "<key type=\"\\L\" title=\"#{BOOKS[fname][2]}"+$1+":"+$2+ttlstr+"\">#{BOOKS[fname][2]}"+$1+":"+$2+"</key>"
				end

				line.gsub!(/<rp>\(<\/rp><rt>/, '<rt>(')
				line.gsub!(/<\/rt><rp>\)<\/rp>/, ')</rt>')

				line.gsub!(/<h2>(.+?)<\/h2>/,
					'<h2 id="'+"#{BOOKS[fname][1]}"+'">\1</h2><br />[<a href="#Index">Index</a>]')
				if line.match(/<h3>(.+?)<\/h3>/)
					nChapter = nChapter + 1
					chapTitle[nChapter]	= $1
				end
				if DISPBOOKTITLE==1
					line.gsub!(/<h3>(.+?)<\/h3>/,
					'<h3 id="'+"#{BOOKS[fname][1]}"+nChapter.to_s+'">'+"#{BOOKS[fname][0]} "+'\1</h3> '+" [<a href=\"##{BOOKS[fname][1]}\">&#xb121;</a>]")
				else
					line.gsub!(/<h3>(.+?)<\/h3>/,
					'<h3 id="'+"#{BOOKS[fname][1]}"+nChapter.to_s+'">\1</h3> '+" [<a href=\"##{BOOKS[fname][1]}\">&#xb121;</a>]")
				end
				line.gsub!(/<em>(.+?)<\/em>/,'<sub>\1</sub> ')
				line.gsub!(/&mdash;/ , '&#x2015;')

				if line.match(/<\/body>/)
					# Indexǉ
					outf.puts "<br />"
					outf.puts "<br />"
					outf.puts "<br />"
					outf.puts "<X4081>1F03 1F02</X4081>"	#\IEJn
					outf.puts "<br />"
					outf.puts "<a name=\"Index\"/><p>#{BOOKS[fname][0]} (#{BOOKS[fname][1]})</p><br/>" 
					for n in 1..nChapter
#						outf.puts "<br /><a href=\"##{BOOKS[fname][1]}"+n.to_s+"\">"+chapTitle[n]+"</a> "
						outf.print "<a href=\"##{BOOKS[fname][1]}"+n.to_s+"\">"+n.to_s+"</a> "
						if n % 10 == 0 then outf.puts "<br/>" end
					end
				end

				outf.puts line

			}

		}
	}
}
